﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'c1NWindDataSet.Customers' table. You can move, or remove it, as needed.
            this.customersTableAdapter.Fill(this.c1NWindDataSet.Customers);
        }

        public delegate void InvokeDelegate();
        object ActiveGrid;

        private void c1TrueDBGrid1_Scroll(object sender, C1.Win.C1TrueDBGrid.CancelEventArgs e)
        {   
            Console.WriteLine("Begin Scroll");
            ActiveGrid = sender;
            //Invoke delegate to create sync between grids
            this.BeginInvoke(new InvokeDelegate(SyncGrids));
        }

        private void SyncGrids()
        {
            foreach (Control ctrl in this.Controls)
            {
                //set Horizontal and Vertical offsets of the second grid, equal to the main grid.
                if ((ctrl) is C1.Win.C1TrueDBGrid.C1TrueDBGrid)
                {
                    (ctrl as C1.Win.C1TrueDBGrid.C1TrueDBGrid).Splits[0].HorizontalOffset 
                        = (ActiveGrid as C1.Win.C1TrueDBGrid.C1TrueDBGrid).Splits[0].HorizontalOffset;
                    (ctrl as C1.Win.C1TrueDBGrid.C1TrueDBGrid).Splits[0].VerticalOffset 
                        = (ActiveGrid as C1.Win.C1TrueDBGrid.C1TrueDBGrid).Splits[0].VerticalOffset;
                }
            }
        }
    }
}
 